get_config_argv(3)

NAME
get_config_argv

SYNOPSIS
#include <allegro.h>

char **get_config_argv(const char *section, const char *name, int *argc);

DESCRIPTION
Reads a token list (words separated by spaces) from the current config file, returning a an argv style argument list, and setting argc to the number of tokens (unlike argc/argv, this list is zero based). Returns NULL and sets argc to zero if the variable is not present. The token list is stored in a temporary buffer that will be clobbered by the next call to get_config_argv(), so the data should not be expected to persist.

SEE ALSO
set_config_file(3), get_config_string(3), get_config_float(3), get_config_hex(3), get_config_int(3), get_config_id(3), exconfig(3)